FROM node:16-alpine3.14

# Create app directory
WORKDIR /usr/src/app


# Install app dependencies
# A wildcard is used to ensure both package.json AND package-lock.json are copied
# where available (npm@5+)
# COPY package*.json ./

# If you are building your code for production
# RUN npm ci --only=production

# Bundle app source
COPY ./dist/built-time.js ./server.js

EXPOSE 3000
ENV ENVIRONMENT=production
CMD [ "node", "server.js" ]